textures/winterassault_2/shiny_window
{
        qer_editorimage textures/winterassault_2/vv_window_1.jpg
	{
		map textures/winterassault_2/vv_window_1.jpg
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/winterassault_2/window_frontage_main
{
        qer_editorimage textures/winterassault_2/vv_wall_1.jpg
	{
		map textures/winterassault_2/vv_wall_1.jpg
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/winterassault_2/window_frontage
{
        qer_editorimage textures/winterassault_2/vv_wall_2.jpg
	{
		map textures/winterassault_2/vv_wall_2.jpg
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/winterassault_2/vv_lamp_shader
{
        qer_editorimage textures/winterassault_2/vv_lamp.tga
	{
		map textures/winterassault_2/vv_lamp.tga
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/winterassault_2/skybox
{
	qer_editorimage textures/winterassault_2/skybox
        nopicmip
	nomipmaps
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	//q3map_sun .5 .5 .5 80 130 55
        //q3map_sun .5 .5 .5 110 130 55
        q3map_sunExt .5 .5 .5 100 100 60 3 16
	q3map_surfacelight 30
        q3map_lightsubdivide 512
	skyparms textures/winterassault_2/env/skybox - -

        {
		map textures/sky/clouds.tga
       	blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 3
		tcMod scroll 0.005 0.007	
	}
}

textures/winterassault_2/decal_1_shader
{
	qer_editorimage textures/winterassault_2/vv_decal1.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal1.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/decal_2_shader
{
	qer_editorimage textures/winterassault_2/vv_decal2.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal2.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/decal_3_shader
{
	qer_editorimage textures/winterassault_2/vv_decal3.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal3.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/decal_4_shader
{
	qer_editorimage textures/winterassault_2/vv_decal4.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal4.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/decal_5_shader
{
	qer_editorimage textures/winterassault_2/vv_decal5.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal5.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/decal_6_shader
{
	qer_editorimage textures/winterassault_2/vv_decal6.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal6.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/decal_7_shader
{
	qer_editorimage textures/winterassault_2/vv_decal7.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal7.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/decal_8_shader
{
	qer_editorimage textures/winterassault_2/vv_decal8.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal8.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/decal_9_shader
{
	qer_editorimage textures/winterassault_2/vv_decal9.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal9.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/decal_10_shader
{
	qer_editorimage textures/winterassault_2/vv_decal10.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/winterassault_2/vv_decal10.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/winterassault_2/black_shader
{
        qer_editorimage textures/winterassault_2/vv_black.jpg
	surfaceparm playerclip
        surfaceparm slick
        surfaceparm noimpact
        surfaceparm nomarks
       	{
		map textures/winterassault_2/vv_black.jpg
	}
}

textures/winterassault_2/black_nonsolid_shader
{
        qer_editorimage textures/winterassault_2/vv_black.jpg
	qer_trans 0.50
        surfaceparm nonsolid
        surfaceparm noimpact
        surfaceparm nomarks
       	{
		map textures/winterassault_2/vv_black.jpg
	}
}

textures/winterassault_2/gold_metal_shiny
{
        cull disable
        qer_editorimage textures/winterassault_2/vv_gold_metal.jpg
	{
		map textures/winterassault_2/vv_gold_metal.jpg
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/winterassault_2/snow_phong_2
{
	q3map_nonplanar
	q3map_shadeangle 140
        surfaceparm nomarks
        qer_editorimage textures/winterassault_2/vv_snow_1.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterassault_2/vv_snow_1.jpg
		alphaFunc GT0
		blendFunc filter
	}
}

textures/winterassault_2/stonefloor_phong
{
	q3map_nonplanar
	q3map_shadeangle 140
        qer_editorimage textures/winterassault_2/vv_stonefloor.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterassault_2/vv_stonefloor.tga
		alphaFunc GT0
		blendFunc filter
	}
}

textures/winterassault_2/stairs_phong
{
	q3map_nonplanar
	q3map_shadeangle 60
        qer_editorimage textures/winterassault_2/vv_trak4_concrete_floor.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterassault_2/vv_trak4_concrete_floor.tga
		alphaFunc GT0
		blendFunc filter
	}
}

textures/winterassault_2/concrete_phong
{
	q3map_nonplanar
	q3map_shadeangle 179
        qer_editorimage textures/winterassault_2/vv_dmg_wall_conc.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterassault_2/vv_dmg_wall_conc.jpg
		alphaFunc GT0
		blendFunc filter
	}
}

textures/winterassault_2/xxx
{
        nopicmip
	nomipmaps
        q3map_surfacelight 500
        qer_editorimage textures/winterassault_2/xxx.jpg
	{
		map textures/winterassault_2/xxx.jpg
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/winterassault_2/water
{
	qer_editorimage textures/winterassault_2/vv_evil_liquid.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/winterassault_2/vv_evil_liquid.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/winterassault_2/vv_evil_liquid.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

levelshots/ut4_winterassault_2_b2
{
        nopicmip
	nomipmaps
	{
		map levelshots/ut4_winterassault_2_b2
	}
}